aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-hash-multivalue/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:40:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:40:29 +0000
commit59a78ce9fa0c7c854c132cb96b853cc04aec62bd (patch)
tree4ecc018e59609b62a0e43fa7afdbf911c964c252 /testing/perl-hash-multivalue/APKBUILD
parent0c2de01b24ba042a3ae1494967ce965b22bdd903 (diff)
downloadaports-59a78ce9fa0c7c854c132cb96b853cc04aec62bd.tar.gz
aports-59a78ce9fa0c7c854c132cb96b853cc04aec62bd.tar.bz2
aports-59a78ce9fa0c7c854c132cb96b853cc04aec62bd.tar.xz
testing/perl-hash-multivalue: new aport
Hash::MultiValue perl module http://search.cpan.org/dist/Hash-MultiValue/
Diffstat (limited to 'testing/perl-hash-multivalue/APKBUILD')
-rw-r--r--testing/perl-hash-multivalue/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-hash-multivalue/APKBUILD b/testing/perl-hash-multivalue/APKBUILD
new file mode 100644
index 0000000000..a68e2f0bce
--- /dev/null
+++ b/testing/perl-hash-multivalue/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-hash-multivalue
+pkgver=0.08
+pkgrel=0
+pkgdesc="Hash::MultiValue perl module"
+url="http://search.cpan.org/dist/Hash-MultiValue/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Hash-MultiValue-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Hash-MultiValue-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d8e2ae6a0685d52641b3a5de20ae4116 Hash-MultiValue-0.08.tar.gz"